Skip to content
docs

EtherscanClientOptions

Defined in: history-evm/src/etherscan.ts:11

optional apiKey?: string

Defined in: history-evm/src/etherscan.ts:19


backend: HistoryBackend

Defined in: history-evm/src/etherscan.ts:12


baseUrl: string

Defined in: history-evm/src/etherscan.ts:14

https://api.etherscan.io/v2/api or a Routescan-style mirror.


bucket: TokenBucket

Defined in: history-evm/src/etherscan.ts:21


optional chainId?: number

Defined in: history-evm/src/etherscan.ts:16

Added as chainid= (Etherscan v2) or chain_id= (Blockscout PRO), see chainParam.


optional chainParam?: "chainid" | "chain_id"

Defined in: history-evm/src/etherscan.ts:18

Query parameter name for the chain id. Default chainid.


fetch: FetchLike

Defined in: history-evm/src/etherscan.ts:20


timeoutMs: number

Defined in: history-evm/src/etherscan.ts:22